package com.iflytek.cloud.util.code.impl;

import com.iflytek.msc.Speex;

public class SpeexCodec extends Codec {

	@Override
	public int encodeInit(InstanceInfo instInfo, short encodeMode) {
		return Speex.SpeexEncodeInit(instInfo, encodeMode);
	}

	@Override
	public int encodeFini(InstanceInfo instInfo) {
		return Speex.SpeexEncodeFini(instInfo);
	}

	@Override
	public int encode(InstanceInfo instInfo, byte[] rawBuf, int rawBufLen,
			AudioData audioData, short mode) {
		return Speex.SpeexEncode(instInfo, rawBuf, rawBufLen, audioData, mode);
	}

	@Override
	public int decodeInit(InstanceInfo instInfo, short decodeMode) {
		return Speex.SpeexDecodeInit(instInfo, decodeMode);
	}

	@Override
	public int decodeFini(InstanceInfo instInfo) {
		return Speex.SpeexDecodeFini(instInfo);
	}

	@Override
	public int decode(InstanceInfo instInfo, byte[] encodeBuf, int encodeBufLen,
			AudioData audioData) {
		return Speex.SpeexDecode(instInfo, encodeBuf, encodeBufLen, audioData);
	}

}
